From: =?utf-8?b?T25kxZllaiBTdXLDvQ==?= <ondrej@sury.org>
Date: Wed, 10 Nov 2021 13:19:50 +0100
Subject: Make the build options less strict

---
 grpc-1.33.1/config.m4 | 4 ++--
 grpc-1.42.0/config.m4 | 4 ++--
 2 files changed, 4 insertions(+), 4 deletions(-)

--- a/grpc-1.33.1/config.m4
+++ b/grpc-1.33.1/config.m4
@@ -17,8 +17,8 @@
 
   LIBS="-lpthread $LIBS"
 
-  CFLAGS="-Wall -Werror -Wno-parentheses-equality -Wno-unused-value -std=c11 -g -O2"
-  CXXFLAGS="-std=c++11 -fno-exceptions -fno-rtti -g -O2"
+  CFLAGS="$CFLAGS -std=c11"
+  CXXFLAGS="$CXXFLAGS -std=c++11 -fno-exceptions -fno-rtti"
   GRPC_SHARED_LIBADD="-lpthread $GRPC_SHARED_LIBADD"
   PHP_REQUIRE_CXX()
   PHP_ADD_LIBRARY(pthread)
